Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class PointSymbolizer

    java.lang.Object
      org.deegree.graphics.sld.AbstractSymbolizer
          org.deegree.graphics.sld.PointSymbolizer

All Implemented Interfaces:
  Marshallable, Symbolizer

    public class PointSymbolizer

extends AbstractSymbolizer
implements Marshallable

Used to render a "graphic" at a point. If a line-string or polygon geometry is used with this symbol, then the semantic is to use the centroid of the geometry, or any similar representative point. The meaning of the contained elements are discussed with the element definitions below. If the Geometry element is omitted, then the "default" geometry for the feature type is used. (Many feature types will have only one geometry attribute.) If the Graphic element is omitted, then nothing will be plotted.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Field Summary

Fields inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`geometry, maxDenominator, minDenominator, responsibleClass`

Constructor Summary
`PointSymbolizer()` Creates a new PointSymbolizer object.
`PointSymbolizer(Graphic graphic, Geometry geometry, double min, double max)` constructor initializing the class with the
`PointSymbolizer(Graphic graphic, Geometry geometry, String responsibleClass, double min, double max)` constructor initializing the class with the

Method Summary
`String` | `exportAsXML()` exports the content of the PointSymbolizer as XML formated String
`Graphic` | `getGraphic()` A Graphic is a "graphic symbol" with an inherent shape, color, and size.
`void` | `setGraphic(Graphic graphic)` sets the

Methods inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`getGeometry, getMaxScaleDenominator, getMinScaleDenominator, getResponsibleClass, setGeometry, setMaxScaleDenominator, setMinScaleDenominator, setResponsibleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PointSymbolizer

    public PointSymbolizer()

  Creates a new PointSymbolizer object.

### PointSymbolizer

    PointSymbolizer(Graphic graphic,
                    Geometry geometry,
                    double min,
                    double max)

  constructor initializing the class with the

  Parameters:
    `graphic` -
    `geometry` -
    `min` -
    `max` -

### PointSymbolizer

    PointSymbolizer(Graphic graphic,
                    Geometry geometry,
                    String responsibleClass,
                    double min,
                    double max)

  constructor initializing the class with the

  Parameters:
    `graphic` -
    `geometry` -
    `responsibleClass` -
    `min` -
    `max` -

Method Detail

### getGraphic

    public Graphic getGraphic()

  A Graphic is a "graphic symbol" with an inherent shape, color, and size. Graphics can either be referenced from an external URL in a common format (such as GIF or SVG) or may be derived from a Mark. Multiple external URLs may be referenced with the semantic that they all provide the same graphic in different formats. The "hot spot" to use for rendering at a point or the start and finish handle points to use for rendering a graphic along a line must either be inherent in the external format or are system- dependent. The default size of an image format (such as GIF) is the inherent size of the image. The default size of a format without an inherent size is 16 pixels in height and the corresponding aspect in width. If a size is specified, the height of the graphic will be scaled to that size and the corresponding aspect will be used for the width. The default if neither an ExternalURL nor a Mark is specified is to use the default Mark with a size of 6 pixels. The size is in pixels and the rotation is in degrees clockwise, with 0 (default) meaning no rotation. In the case that a Graphic is derived from a font-glyph Mark, the Size specified here will be used for the final rendering. Allowed CssParameters are "opacity", "size", and "rotation".

  Returns:
    the graphic of the point

### setGraphic

    public void setGraphic(Graphic graphic)

  sets the

  Parameters:
    `graphic` - the graphic of the point

### exportAsXML

    public String exportAsXML()

  exports the content of the PointSymbolizer as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the PointSymbolizer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org